Cantera 2.6.0

Public Member Functions | Protected Attributes | List of all members
Periodic1 Class Reference

Periodic function. More...

`#include <Func1.h>`

Inheritance diagram for Periodic1:
[legend]
Collaboration diagram for Periodic1:
[legend]

## Public Member Functions
| Periodic1 (Func1 &f, doublereal T)
| Periodic1 (const Periodic1 &b)
Periodic1 & | operator= (const Periodic1 &right)
virtual Func1 & | duplicate () const
| Duplicate the current function. More...
virtual doublereal | eval (doublereal t) const
| Evaluate the function. More...
Public Member Functions inherited from Func1
| Func1 (const Func1 &right)
Func1 & | operator= (const Func1 &right)
virtual Func1 & | duplicate () const
| Duplicate the current function. More...
virtual int | ID () const
doublereal | operator() (doublereal t) const
| Calls method eval to evaluate the function. More...
virtual doublereal | eval (doublereal t) const
| Evaluate the function. More...
virtual Func1 & | derivative () const
| Creates a derivative to the current function. More...
bool | isIdentical (Func1 &other) const
| Routine to determine if two functions are the same. More...
virtual doublereal | isProportional (TimesConstant1 &other)
virtual doublereal | isProportional (Func1 &other)
virtual std::string | write (const std::string &arg) const
doublereal | c () const
| accessor function for the stored constant More...
void | setC (doublereal c)
| Function to set the stored constant. More...
Func1 & | func1 () const
| accessor function for m_f1 More...
Func1 & | func2 () const
| accessor function for m_f2 More...
virtual int | order () const
| Return the order of the function, if it makes sense. More...
Func1 & | func1_dup () const
Func1 & | func2_dup () const
Func1 * | parent () const
void | setParent (Func1 *p)

## Protected Attributes
Func1 * | m_func
Protected Attributes inherited from Func1
doublereal | m_c
Func1 * | m_f1
Func1 * | m_f2
Func1 * | m_parent

## Detailed Description

Periodic function.

Takes any function and makes it periodic with period T.

Definition at line 1032 of file Func1.h.

## Constructor & Destructor Documentation

## ◆ Periodic1() [1/2]

Periodic1 | ( | Func1 & | f,
|  | doublereal | T
| ) |  |
| inline

Definition at line 1035 of file Func1.h.

## ◆ Periodic1() [2/2]

Periodic1 | ( | const Periodic1 & | b | ) |
| inline

Definition at line 1041 of file Func1.h.

## ◆ ~Periodic1()

virtual ~Periodic1 | ( |  | ) |
| inline virtual

Definition at line 1060 of file Func1.h.

## Member Function Documentation

## ◆ operator=()

Periodic1 & operator= | ( | const Periodic1 & | right | ) |
| inline

Definition at line 1046 of file Func1.h.

## ◆ duplicate()

virtual Func1 & duplicate | ( |  | ) | const
| inline virtual

Duplicate the current function.

This duplicates the current function, returning a reference to the newly created function.

Reimplemented from Func1.

Definition at line 1055 of file Func1.h.

## ◆ eval()

virtual doublereal eval | ( | doublereal | t | ) | const
| inline virtual

Evaluate the function.

Reimplemented from Func1.

Definition at line 1064 of file Func1.h.

References Func1::eval().

## Member Data Documentation

## ◆ m_func

Func1* m_func
| protected

Definition at line 1071 of file Func1.h.

The documentation for this class was generated from the following file:

- Func1.h